const isAborted = (err: Error) => (
    err.name === 'AbortError'
)

function handleHTTPErrors(res: Response) {
    if (!res.ok) {
        switch (res.status) {
            case 401:
                throw new Error('Ошибка авторизации')
            case 404:
                throw new Error('Объект не найден')
            default: {
                throw new Error('Ошибка ответа от сервера')
            }
        }
    }
}

export { isAborted, handleHTTPErrors }
